ReplaceNetworkAclAssociation
In this article:
ReplaceNetworkAclAssociation#
Changes the association of a network access control list (Network ACL, NACL) with another network.
Request Parameters#
AssociationId — The ID of the current association of the NACL with the subnet. It is created automatically when a subnet is created and when the subnet’s association with an NACL is changed.
Type: String
Required: Yes
NetworkAclId — The ID of the NACL to be associated.
Type: String
Required: Yes
Response Elements#
newAssociationId — The ID of the new association between the NACL and the subnet.
Type: String
requestId — The request ID.
Type: String
Examples#
c2-ec2 ReplaceNetworkAclAssociation AssociationId <association_id> NetworkAclId <network_acl_id>